#!/bin/bash
# Copyright 2005 The vserver-utils Developers
# See AUTHORS for details
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by  *
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the
# Free Software Foundation, Inc.,
# 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

checkconfig() {
	: ${VU_PATHCONFIG:=/usr/share/vserver-utils/pathconfig}
	
	if [ ! -e "${VU_PATHCONFIG}" ]; then
		echo "Cannot find vserver-utils installation!" >&2
		echo "The file '${VU_PATHCONFIG}' would be expected" >&2
		exit 1
	fi
	
	source ${VU_PATHCONFIG}
}

begin() {
	echo -n "$@"
	echo -n " ... "
}

end() {
	local rc=$1
	
	case "${rc}" in
		(0) echo "OK";;
		(*) echo "FAILED";;
	esac
}

start() {
	checkconfig
	
	begin "Unhiding /proc entries"
	${_VSERVER} procfs unhide
	end $?
}

stop() {
	checkconfig
	
	begin "Hiding /proc entries"
	${_VSERVER} procfs hide
	end 0
}

restart() {
	stop
	start
}

case "$1" in
	start|stop|restart)
		$1
		;;
	*)
		echo "Usage: $0 start|stop|restart"
		exit 2
		;;
esac
